Package pyxmpp :: Module interfaces :: Class IStanzaHandlersProvider

[hide private]

# Class IStanzaHandlersProvider

source code

    zope.interface.Interface --+
                               |
                   IPyXMPPHelper --+
                                   |
           IPresenceHandlersProvider --+
                                       |
    zope.interface.Interface --+       |
                               |       |
                   IPyXMPPHelper --+   |
                                   |   |
            IMessageHandlersProvider --+
                                       |
    zope.interface.Interface --+       |
                               |       |
                   IPyXMPPHelper --+   |
                                   |   |
                 IIqHandlersProvider --+
                                       |
                                      IStanzaHandlersProvider

Instance Methods | [hide private]

Inherited from `IPresenceHandlersProvider`: `get_presence_handlers` Inherited from `IMessageHandlersProvider`: `get_message_handlers` Inherited from `IIqHandlersProvider`: `get_iq_get_handlers`, `get_iq_set_handlers`

Class Variables | [hide private]

| _InterfaceClass__attrs = ``{``}``
| __bases__ = ``(`<InterfaceClass pyxmpp.interfaces.IPresenceHandle`...``
| __identifier__ = ``'``pyxmpp.interfaces.IStanzaHandlersProvider``'``
| __iro__ = ``(`<InterfaceClass pyxmpp.interfaces.IStanzaHandlersPr`...``
| __name__ = ``'``IStanzaHandlersProvider``'``
| __sro__ = ``(`<InterfaceClass pyxmpp.interfaces.IStanzaHandlersPr`...``
| _implied = ``{`<InterfaceClass pyxmpp.interfaces.IIqHandlersProvi`...``
| dependents = `<WeakKeyDictionary at 141765164>`
Inherited from `zope.interface.Interface` (private): `_Element__tagged_values`

Class Variable Details | [hide private]

### __bases__

Value:

      (<InterfaceClass pyxmpp.interfaces.IPresenceHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IMessageHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IIqHandlersProvider>)

### __iro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IStanzaHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IPresenceHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IMessageHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IIqHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### __sro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IStanzaHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IPresenceHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IMessageHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IIqHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### _implied

Value:

      {<InterfaceClass pyxmpp.interfaces.IIqHandlersProvider>: (),
       <InterfaceClass pyxmpp.interfaces.IMessageHandlersProvider>: (),
       <InterfaceClass pyxmpp.interfaces.IPresenceHandlersProvider>: (),
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>: (),
       <InterfaceClass pyxmpp.interfaces.IStanzaHandlersProvider>: (),
       <InterfaceClass zope.interface.Interface>: ()}